@import url('https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700&display=swap');

body {
	font-family: 'Lato', sans-serif;
	font-size: 0.95em;

	background-color: #FEFEFE;
	color: #04143A;

	margin: 0;
	padding: 0;
}

a {
	text-decoration: none;
	color: #4A90E2;
}

a:hover {
	color: #0f68d0;
}

div#pagina {
	max-width: 80em;
	margin-left: auto;
	margin-right: auto;

	padding: 1em;
	padding-top: 0;
}

/* Integración de la cabecera sobre el banner */
div#cabecera {
	background-image: linear-gradient(rgba(15, 48, 81, 0.6), rgba(15, 48, 81, 0.6)), url('../imagenes/santiago.jpg');
	background-size: cover;
	background-position: 35% 55%;
	padding-top: 0.5em;
	padding-bottom: 0.5em;
	/* Reducimos el aire para que sea más compacto */
	color: #FEFEFE;
	/* Texto claro siempre en la cabecera */
}

div#cabecera #cabecera-contenido {
	max-width: 80em;
	margin-left: auto;
	margin-right: auto;
	padding: 0 1em;
	/* Mantenemos un poco de margen para que el texto no toque el borde en móviles */
}

div#cabecera #datosCabecera {
	display: flex;
}

div#cabecera #nombreYCorreo {
	z-index: 9999;

	/*background-color: #FEFEFECC;*/
	border-radius: 0.3em;
}

div#cabecera h1 {
	margin-top: 0;
}

div#cabecera .nombre,
div#cabecera #correo,
div#cabecera .titular {
	text-shadow:
		-1px -1px 0 #0f3051,
		1px -1px 0 #0f3051,
		-1px 1px 0 #0f3051,
		1px 1px 0 #0f3051;
}

div#cabecera .nombre {
	font-size: 4.5em;
	font-weight: 300;
	display: inline-block;
	margin-bottom: 0;
}

div#cabecera #avatar {
	margin-left: 1.5em;
	margin-top: 1em;
}

div#cabecera #avatar img {
	width: 5.8em;
	border-radius: 0.3em;
}

div#cabecera .titular {
	font-size: 3em;
	font-weight: 300;

	margin-top: 0.7em;
	margin-bottom: 0.2em;
}

div#cabecera #correo {
	font-size: 1.5em;
	font-weight: 300;

	display: block;

	unicode-bidi: bidi-override;
	direction: rtl;
	text-align: left;
}

div#cabecera #correo a {
	color: #ffffff;
}

div#cabecera #correo a:hover {
	color: #84e176 !important;
}

div#cabecera #correo span {
	display: none !important;
}

div#proyectos h3 {
	font-size: 1.3em;
	margin-bottom: 0;
}

div#proyectos h4 {
	margin-bottom: 0;
	font-size: 1.25em;
	color: #5B6A9A;
	margin-top: 0;
}

div#proyectos ul {
	display: flex;
	flex-wrap: wrap;
	margin: 0 -5px;
	/* Compensar el margen de los li */

	padding-left: 0;
	margin-top: 0;
	margin-bottom: 0;
}

div#proyectos ul li {
	width: calc(50% - 10px);
	/* 50% menos el doble del margen */
	margin: 5px;
	box-sizing: border-box;

	list-style-type: none;
	color: #81899C;

	background-color: #EEF0F7;
	padding: 1em;

	margin-top: 0.8em;
	border-radius: 0.3em;
}

div#cabecera #avatar img,
div#proyectos ul li.proyecto,
button#botonModoOscuro {
	box-shadow: 0 0 0 0.5px #81899CCC;
}

div#proyectos ul li.proyecto {
	padding-top: 0.6em;
	padding-bottom: 0.6em;
	padding-left: 0.8em;
	padding-right: 0.8em;

	margin-bottom: 0;
}

div.br {
	margin-bottom: 10px;
}

div#proyectos ul li:nth-child(1) {
	margin-top: 0.8em;
}

div#proyectos ul li ul {
	display: block !important;
	/* Asegura que la lista anidada sea un bloque */
}

div#proyectos ul li ul li {
	margin-top: 0.5em;
	padding: 0;
}

div#proyectos ul li ul li:nth-child(1) {
	margin-top: 0.6em;
}

div#redesSociales {
	text-align: center;
	padding-top: 3em;
	padding-bottom: 3em;
}

div#redesSociales ul {
	margin: 0;
	padding: 0;
}

div#redesSociales li {
	display: inline-block;
}

div#redesSociales img {
	height: 4em;

	margin-left: 1em;
	margin-right: 1em;
}

div#redesSociales img:hover {
	transform: scale(1.1);
	/* Efecto de lupa */
}

div#pie ul {
	margin: 0;
	padding: 0;
}

div#pie ul li {
	list-style-type: none;
}

button#botonModoOscuro {
	display: none;
	background-color: #EEF0F7;
	color: #5B6A9A;
	border-style: none;
	border-width: 1px;
	border-color: #d6d6d6;
	border-radius: 1em;
	padding-top: 3px;
	padding-bottom: 3px;
	padding-left: 6px;
	padding-right: 6px;
	cursor: pointer;
	font-size: 0.7em;
	margin-top: 0.5em;
}

/* inicio cookieyes */

.cky-revisit-bottom-left {
	left: auto !important;
	right: 15px;
}

/* fin cookieyes */

@media (min-width: 631px) and (hover: hover) {

	button#botonModoOscuro:hover {
		background-color: #81899C;
		color: #FEFEFE;
	}

}